XAMPP 1.6.4 with ORACLE Instant Client 11 ?

Problems with the Linux version of XAMPP, questions, comments, and anything related.

XAMPP 1.6.4 with ORACLE Instant Client 11 ?

Postby smith » 06. December 2007 14:41

Does this combination work?

I am unable to get the oci8 extension to load and get the following error msg when starting XAMPP:

PHP Warning: PHP Startup: Unable to load dynamic library '/opt/lampp/lib/php/extensions/no-debug-non-zts-20060613/oci8.so' - libclntsh.so.10.1: cannot open shared object file: No such file or directory in Unknown on line 0

I have the file libclntsh.so.11.1

Is there a way to change a config to find this file or do I need the older version of Oracle?

When I run the command /opt/lampp/lampp oci8, and then put in the directory it does not work either.

Thanks for any guidance.
Posts: 1
Joined: 06. December 2007 14:28
Location: Nairobi, Kenya

Postby jupela » 08. January 2008 14:00

You have to download the instantclient...zip from oracle. Unzip the file and copy all the files in /opt/lampp/lib.
Next, run '/opt/lampp/lampp oci8' and when the application ask where oracle is installed put /opt/lampp/lib.
Posts: 15
Joined: 16. May 2006 12:35

Thanks, it works.

Postby leorick » 12. August 2008 18:36

Thanks a lot for your advice. It works. To help others, please refer here;


I'm still waiting the OCI8 module for Solaris XAMPP.
Posts: 1
Joined: 12. August 2008 18:29
Location: BM, PG

Return to XAMPP for Linux

Who is online

Users browsing this forum: No registered users and 3 guests